export class Currency {

    constructor(
        private _id: number,
        private _name: string,
        private _symbol: string
    ) {}

    /**
     *
     */
    get id(): number {
        return this._id;
    }

    /**
     *
     */
    get name(): string {
        return this._name;
    }

    /**
     *
     */
    get symbol(): string {
        return this._symbol;
    }

    /**
     *
     */
    set id(_id: number) {
        this._id = _id;
    }

    /**
     *
     */
    set name(_name: string) {
        this._name = _name;
    }

    /**
     *
     */
    set symbol(_symbol: string) {
        this._symbol = _symbol;
    }
}
